Scriptname BLMSConfigScript extends SKI_ConfigBase

int arenaLightOID
bool arenaLightVal=false
ObjectReference Property arenaLight Auto

int firstOrThirdOID
string Property firstOrThirdVal="Third" Auto

int removePerksOID


int corruption
Message Property failedMessageThird Auto
Message Property failedMessageFirst Auto

Spell Property corruption1 Auto
Spell Property corruption2 Auto
Spell Property corruption3 Auto
Spell Property corruption4 Auto
Spell Property BLMSRemoval Auto

Event OnPageReset(string page)

	arenaLightOID=AddToggleOption("Enable a brighter light in the arena?",arenaLightVal)
	firstOrThirdOID=AddTextOption("First or third person messages?",firstOrThirdVal)
	removePerksOID=AddToggleOption("Remove all enhancements from the character.",false)
EndEvent

Event OnOptionSelect(int option)

	if (option==arenaLightOID)
		arenaLightVal=!arenaLightVal
		SetToggleOptionValue(arenaLightOID, arenaLightVal)
		if (arenaLightVal)
			arenaLight.Enable()
		else
			arenaLight.Disable()
		endif
	elseif(option==firstOrThirdOID)
		if (firstOrThirdVal=="First")
			firstOrThirdVal="Third"
		else
			firstOrThirdVal="First"
		endif
		SetTextOptionValue(firstOrThirdOID, firstOrThirdVal)
	elseif (option==removePerksOID)
		SetToggleOptionValue(removePerksOID, true)
		BLMSRemoval.cast(Game.getPlayer())
	endif

EndEvent

bool Function increaseCorruption(int value)
bool result=false
int newCorruption=value+corruption
if (newCorruption<=20)
	result=true
	corruption=newCorruption
	removeSpells()
	
	if (corruption==20)
		Game.getPlayer().addSpell(corruption4)
	elseif(corruption>=15)
		Game.getPlayer().addSpell(corruption3)
	elseif(corruption>=10)
		Game.getPlayer().addSpell(corruption2)
	elseif(corruption>=5)
		Game.getPlayer().addSpell(corruption1)
	endif
else
	if (firstOrThirdVal=="Third")
		failedMessageThird.Show()
	else
		failedMessageFirst.Show()
	endif
endif

return result

EndFunction

Function removeSpells()
Actor player=Game.getPlayer()

player.removeSpell(corruption1)
player.removeSpell(corruption2)
player.removeSpell(corruption3)
player.removeSpell(corruption4)


EndFunction
